Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 264)
+++ trunk/client/modules/Elezioni/index.php	(revision 265)
@@ -675,18 +812,30 @@
 			
 			}else{ //referendum
-				$res_ref = mysql_query("select sum(si),sum(no),sum(validi),sum(bianchi),sum(nulli),sum(contestati)   from ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_gruppo='$id_gruppo2'", $dbi);
-		 		list($voti_si,$voti_no,$validi,$bianchi,$nulli,$conte) = mysql_fetch_row($res_ref);
-				
-				
-				$aff=mysql_query("select t3.orario,t3.data from ".$prefix."_ele_rilaff as t1 left join ".$prefix."_ele_cons_comune as t2 on t1.id_cons_gen=t2.id_cons_gen left join ".$prefix."_ele_voti_parziale as t3 on t2.id_cons=t3.id_cons where t1.id_cons_gen='$id_cons_gen' and t2.id_cons='$id_cons' order by t3.data desc, t3.orario desc limit 0,1", $dbi);
-				list($ora,$data) = mysql_fetch_row($aff);
-				
-				$tot_rel =mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and orario='$ora' and data='$data' and id_gruppo='$id_gruppo2'", $dbi);
-				list($tot_relativo) = mysql_fetch_row($tot_rel);
+				$sql="select sum(si),sum(no),sum(validi),sum(bianchi),sum(nulli),sum(contestati)   from ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_gruppo='$id_gruppo2'";
+				$res_ref = $dbi->prepare("$sql");
+				$res_ref->execute();
+
+		 		list($voti_si,$voti_no,$validi,$bianchi,$nulli,$conte) = $res_ref->fetch(PDO::FETCH_NUM);
+				
+				
+				$sql="select t3.orario,t3.data from ".$prefix."_ele_rilaff as t1 left join ".$prefix."_ele_cons_comune as t2 on t1.id_cons_gen=t2.id_cons_gen left join ".$prefix."_ele_voti_parziale as t3 on t2.id_cons=t3.id_cons where t1.id_cons_gen='$id_cons_gen' and t2.id_cons='$id_cons' order by t3.data desc, t3.orario desc limit 0,1";
+				$aff = $dbi->prepare("$sql");
+				$aff->execute();
+
+				list($ora,$data) = $aff->fetch(PDO::FETCH_NUM);
+				
+				$sql="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and orario='$ora' and data='$data' and id_gruppo='$id_gruppo2'";
+				$tot_rel = $dbi->prepare("$sql");
+				$tot_rel->execute();
+
+				list($tot_relativo) = $tot_rel->fetch(PDO::FETCH_NUM);
 				
 				
 				// totale assoluto
-				$tot_ass =mysql_query("select sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$id_cons'", $dbi);
-				list($tot_assoluto) = mysql_fetch_row($tot_ass);
+				$sql="select sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+				$tot_ass = $dbi->prepare("$sql");
+				$tot_ass->execute();
+
+				list($tot_assoluto) = $tot_ass->fetch(PDO::FETCH_NUM);
 				  // controlli del 15 giugno 2009 
 				if($tot_assoluto)
@@ -750,11 +899,17 @@
 			
 			echo "<table class=\"table-80\"><tr>";
-			$result2 = mysql_query("select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo2'  ORDER BY num_lista " , $dbi);
+			$sql="select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo2'  ORDER BY num_lista " ;
+			$result2 = $dbi->prepare("$sql");
+			$result2->execute();
+
 			$i=0;
-			while(list($id_cons2,$id_lista2,$num_lista, $descr_lista) = mysql_fetch_row($result2)) {
+			while(list($id_cons2,$id_lista2,$num_lista, $descr_lista) = $result2->fetch(PDO::FETCH_NUM)) {
   				if ($num_lista!=0) {
 			
-				$res_lista = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista2'", $dbi);
-		 		list($voti_lista) = mysql_fetch_row($res_lista);
+				$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista2'";
+	$res_lista = $dbi->prepare("$sql");
+	$res_lista->execute();
+
+		 		list($voti_lista) = $res_lista->fetch(PDO::FETCH_NUM);
 			
 				
@@ -763,9 +918,15 @@
 					$voti_lista_tutti='';
 					
-					$res_circ = mysql_query("select id_lista from ".$prefix."_ele_lista where id_circ='$id_circ'", $dbi);
-		 			while(list($lista_id) = mysql_fetch_row($res_circ)){
+					$sql="select id_lista from ".$prefix."_ele_lista where id_circ='$id_circ'";
+	$res_circ = $dbi->prepare("$sql");
+	$res_circ->execute();
+
+		 			while(list($lista_id) = $res_circ->fetch(PDO::FETCH_NUM)){
 					
-					  $res_circ_voti = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_lista='$lista_id'", $dbi);
-					  list($voti) = mysql_fetch_row($res_circ_voti);
+					  $sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_lista='$lista_id'";
+	$res_circ_voti = $dbi->prepare("$sql");
+	$res_circ_voti->execute();
+
+					  list($voti) = $res_circ_voti->fetch(PDO::FETCH_NUM);
 					 $voti_lista_tutti=$voti_lista_tutti+$voti;
 					  //	
@@ -775,6 +936,9 @@
 				
 				// tutti 
-					$res_lista_tutti = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
-					list($voti_lista_tutti) = mysql_fetch_row($res_lista_tutti);
+					$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
+	$res_lista_tutti = $dbi->prepare("$sql");
+	$res_lista_tutti->execute();
+
+					list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);
 				}
 				
@@ -817,19 +981,30 @@
 	}else{
 		// tot liste
-		$res = mysql_query("SELECT *  FROM ".$prefix."_ele_lista where id_cons='$id_cons' $circos ", $dbi);
-    		$max = mysql_num_rows($res);
+		$sql="SELECT *  FROM ".$prefix."_ele_lista where id_cons='$id_cons' $circos ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+
+    		$max = $res->rowCount();
 		
 		// tot voti liste
-		if($circo)$res_lista_tutti = mysql_query("select sum(t1.voti)  from ".$prefix."_ele_voti_lista as t1, ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' and t2.id_circ='$id_circ'", $dbi);
-		else $res_lista_tutti = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
-		
-		list($voti_lista_tutti) = mysql_fetch_row($res_lista_tutti);
-		
-    		$result = mysql_query("select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons' $circos ORDER BY num_lista  LIMIT $min,$offset", $dbi);
-		while(list($id_cons2,$id_lista,$num_lista, $descr_lista) = mysql_fetch_row($result)) {
+		if($circo) $sql="select sum(t1.voti)  from ".$prefix."_ele_voti_lista as t1, ".$prefix."_ele_lista as t2 where t1.id_lista=t2.id_lista and t1.id_cons='$id_cons' and t2.id_circ='$id_circ'";
+		else $sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
+		$res_lista_tutti = $dbi->prepare("$sql");
+		$res_lista_tutti->execute();
+		
+		list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);
+		
+		$sql="select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons' $circos ORDER BY num_lista  LIMIT $min,$offset";
+		$result = $dbi->prepare("$sql");
+		$result->execute();
+
+		while(list($id_cons2,$id_lista,$num_lista, $descr_lista) = $result->fetch(PDO::FETCH_NUM)) {
   		if ($num_lista!=0) {
 		// voti lista
-		$res_lista = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'", $dbi);
-		list($voti_lista) = mysql_fetch_row($res_lista);
+		$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'";
+		$res_lista = $dbi->prepare("$sql");
+		$res_lista->execute();
+
+		list($voti_lista) = $res_lista->fetch(PDO::FETCH_NUM);
 		if($voti_lista_tutti)
 			$perc_lista=number_format(($voti_lista*100)/$voti_lista_tutti,5);
@@ -871,6 +1046,9 @@
   
   		if ($circo==1){
-		 $res_circ = mysql_query("select descrizione,num_circ  from ".$prefix."_ele_circoscrizione where id_circ='$id_circ'", $dbi);
-		 list($descr_circ,$num_circ)=mysql_fetch_row($res_circ);
+		 $sql="select descrizione,num_circ  from ".$prefix."_ele_circoscrizione where id_circ='$id_circ'";
+	$res_circ = $dbi->prepare("$sql");
+	$res_circ->execute();
+
+		 list($descr_circ,$num_circ)=$res_circ->fetch(PDO::FETCH_NUM);
 		 if($num_circ) echo "<center><h1>"._CIRC_N." $num_circ: $descr_circ</h1>";
 		 # numero sezioni
@@ -879,6 +1057,9 @@
 		 
 		 if ($genere!=4){
-		  $res_gruppo = mysql_query("select descrizione  from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-		 list($descr_gruppo)=mysql_fetch_row($res_gruppo);
+		  $sql="select descrizione  from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+	$res_gruppo = $dbi->prepare("$sql");
+	$res_gruppo->execute();
+
+		 list($descr_gruppo)=$res_gruppo->fetch(PDO::FETCH_NUM);
 		
 		 }
@@ -887,8 +1068,14 @@
                 if ($circo!=1){
   			if ($votog) {$tab="lista";}else{$tab="candidati";}
-			$res1 = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons' group by id_sez ",$dbi);
+			$sql="select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons' group by id_sez ";
+			$resl = $dbi->prepare("$sql");
+			$resl->execute();
+
 			$numero=mysql_num_rows($res1);
-			$res2 = mysql_query("select max(num_sez)  from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-			list($sezioni)=mysql_fetch_row($res2);
+			$sql="select max(num_sez)  from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+			$res2 = $dbi->prepare("$sql");
+			$res2->execute();
+
+			list($sezioni)=$res2->fetch(PDO::FETCH_NUM);
 		}
   
@@ -901,7 +1088,10 @@
 		 //$result = mysql_query("select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_lista='$id_lista'", $dbi);
 		 	
-    		$result = mysql_query("select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_lista='$id_lista'", $dbi);
-		
-		list($id_cons2,$id_lista,$num_lista, $descr_lista) = mysql_fetch_row($result);
+    		$sql="select id_cons ,id_lista ,num_lista, descrizione  from ".$prefix."_ele_lista where id_lista='$id_lista'";
+			$result = $dbi->prepare("$sql");
+			$result->execute();
+
+		
+		list($id_cons2,$id_lista,$num_lista, $descr_lista) = $result->fetch(PDO::FETCH_NUM);
 		
 		
@@ -923,14 +1113,20 @@
   		// candidati con voti ottenuti
 		
-		$res_candi = mysql_query("SELECT t1.id_cand , t1.cognome, t1.nome, t1.num_cand, t2.id_cand, sum(t2.voti) as somma  FROM ".$prefix."_ele_candidati as t1 , ".$prefix."_ele_voti_candidati as t2
-		where t1.id_lista='$id_lista' and  t1.id_cand=t2.id_cand  group by t1.id_cand order by somma desc" , $dbi);
+		$sql="SELECT t1.id_cand , t1.cognome, t1.nome, t1.num_cand, t2.id_cand, sum(t2.voti) as somma  FROM ".$prefix."_ele_candidati as t1 , ".$prefix."_ele_voti_candidati as t2
+		where t1.id_lista='$id_lista' and  t1.id_cand=t2.id_cand  group by t1.id_cand order by somma desc" ;
+		$res_candi = $dbi->prepare("$sql");
+		$res_candi->execute();
+
   		//$res_candi = mysql_query("SELECT id_cand , cognome, nome, num_cand  FROM ".$prefix."_ele_candidati 
 		//where id_lista='$id_lista'  and id_cons='$id_cons order by num_cand" , $dbi);
-		$num_candi=mysql_num_rows($res_candi);
+		$num_candi=$res_candi->rowCount();
 	        if (!$num_candi) {
-		$res_candi = mysql_query("SELECT id_cand , cognome, nome, num_cand  FROM ".$prefix."_ele_candidati 
-		where id_lista='$id_lista'  and id_cons='$id_cons' order by num_cand" , $dbi);
+		$sql="SELECT id_cand , cognome, nome, num_cand  FROM ".$prefix."_ele_candidati 
+		where id_lista='$id_lista'  and id_cons='$id_cons' order by num_cand" ;
+		$res_candi = $dbi->prepare("$sql");
+		$res_candi->execute();
+
 		echo "<tr bgcolor=\"#EAEAEA\"><td >"._NUM."</td><td>"._CANDIDATO."</td></tr>";
-		while(list($id_cand,$cognome,$nome, $num) = mysql_fetch_row($res_candi)) {
+		while(list($id_cand,$cognome,$nome, $num) = $res_candi->fetch(PDO::FETCH_NUM)) {
 			
 			echo "<tr><td>[ $num ]</td><td> $cognome $nome</td>";
@@ -938,5 +1134,5 @@
 		}else{	
 		echo "<tr bgcolor=\"#EAEAEA\"><td >"._NUM."</td><td>"._CANDIDATO."</td><td>"._PREFERENZE."</td></tr>";
-		while(list($id_cand,$cognome,$nome, $num,$id_cand, $somma) = mysql_fetch_row($res_candi)) {
+		while(list($id_cand,$cognome,$nome, $num,$id_cand, $somma) = $res_candi->fetch(PDO::FETCH_NUM)) {
 			
 			echo "<tr><td>[ $num ]</td><td>
@@ -965,10 +1161,19 @@
 	if ($circo) $circos = "and id_circ=$id_circ" ; else $circos='';
 	if ($genere==0) $tab="ref"; else $tab="gruppo";
-	$res = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ",$dbi);
-	$numero=mysql_num_rows($res);
-	$res = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ",$dbi);
-	$sezioni=mysql_num_rows($res);
-	$res = mysql_query("select chiusa  from ".$prefix."_ele_cons_comune where id_cons='$id_cons' $circos ",$dbi);
-	$chiusa=mysql_num_rows($res);
+	$sql="select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$numero=$res->rowCount();
+	$sql="select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$sezioni=$res->rowCount();
+	$sql="select chiusa  from ".$prefix."_ele_cons_comune where id_cons='$id_cons' $circos ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$chiusa=$res->rowCount();
 	if ($numero!=0 and $chiusa==0) 
 	echo "<div><h2>"._SEZSCRU." $numero "._SU." $sezioni</h2></div>";
@@ -980,23 +1185,38 @@
 	
 	// tot liste
-		$res = mysql_query("SELECT *  FROM ".$prefix."_ele_lista where id_cons='$id_cons'  ", $dbi);
-    		$max = mysql_num_rows($res);
+		$sql="SELECT *  FROM ".$prefix."_ele_lista where id_cons='$id_cons'  ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+
+    		$max = $res->rowCount();
 		
 		// tot voti liste
-		$res_lista_tutti = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
-		list($voti_lista_tutti) = mysql_fetch_row($res_lista_tutti);
-		
-    		$result = mysql_query("select id_cons ,id_lista ,id_gruppo, num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons'  ORDER BY num_lista  LIMIT $min,$offset", $dbi);
-		while(list($id_cons2,$id_lista,$id_gruppo, $num_lista, $descr_lista) = mysql_fetch_row($result)) {
+		$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
+		$res_lista_tutti = $dbi->prepare("$sql");
+		$res_lista_tutti->execute();
+
+		list($voti_lista_tutti) = $res_lista_tutti->fetch(PDO::FETCH_NUM);
+		
+		$sql="select id_cons ,id_lista ,id_gruppo, num_lista, descrizione  from ".$prefix."_ele_lista where id_cons='$id_cons'  ORDER BY num_lista  LIMIT $min,$offset";
+		$result = $dbi->prepare("$sql");
+		$result->execute();
+
+		while(list($id_cons2,$id_lista,$id_gruppo, $num_lista, $descr_lista) = $result->fetch(PDO::FETCH_NUM)) {
   			if ($num_lista!=0) {
 			// voti lista
-			$res_lista = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'", $dbi);
-			list($voti_lista) = mysql_fetch_row($res_lista);
+			$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_lista='$id_lista'";
+			$res_lista = $dbi->prepare("$sql");
+			$res_lista->execute();
+
+			list($voti_lista) = $res_lista->fetch(PDO::FETCH_NUM);
 			if ($voti_lista_tutti!=0)
 			$perc_lista=number_format(($voti_lista*100)/$voti_lista_tutti,2);
 		        else $perc_lista='';
 			// gruppo
-			$res_gruppo = mysql_query("select descrizione  from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-			list($descr_gruppo) = mysql_fetch_row($res_gruppo);
+			$sql="select descrizione  from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+			$res_gruppo = $dbi->prepare("$sql");
+			$res_gruppo->execute();
+
+			list($descr_gruppo) = $res_gruppo->fetch(PDO::FETCH_NUM);
 
 
@@ -1046,8 +1266,14 @@
 	if ($genere==0) {$tab="ref";}else{$tab="gruppo";}
 	if ($votog) {$tab="lista";}else{$tab="gruppo";}
-	$res = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ",$dbi);
-	$numero=mysql_num_rows($res);
-	$res = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ",$dbi);
-	$sezioni=mysql_num_rows($res);
+	$sql="select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$numero=$res->rowCount();
+	$sql="select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$sezioni=$res->rowCount();
 	if ($numero==0) $op="gruppo";
 	if ($numero==$sezioni) $op="graf_gruppo";
Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 264)
+++ trunk/client/modules/Elezioni/menu.php	(revision 265)
@@ -19,7 +19,9 @@
 	$button="<br /><object><noscript><div><input name=\"vai\" type=\"image\" src=\"modules/Elezioni/images/ok2.jpg\" alt=\"ok\" title=\"ok\" /></div></noscript></object>";
 	
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
-	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	$sql="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+
+	list($descr_com,$fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
 	
@@ -50,8 +52,11 @@
 	if ($multicomune=='1')
 	{
-	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa<2 group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
-		
-	      $rescomu= mysql_query("$sqlcomu",$dbi);
-	      $esiste_multi=mysql_num_rows($rescomu);
+	      $sql="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa<2 group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+		
+	      $sql="$sqlcomu";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+
+	      $esiste_multi=$rescomu->rowCount();
 	      if ($esiste_multi>=1) {
 		echo "	<td>
@@ -67,5 +72,5 @@
 			";
 			
-		while (list($id,$descrizione,)=mysql_fetch_row($rescomu)){
+		while (list($id,$descrizione,)=$rescomu->fetch(PDO::FETCH_NUM)){
 			    $sel=($id == $id_comune) ? "selected=\"selected\"":"";
 			    echo "<option value=\"$id\" $sel >$descrizione</option>";
@@ -84,6 +89,9 @@
 	
         echo "<td  >";
-	$res = mysql_query("SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" , $dbi); 
-	$esiste=mysql_num_rows($res);
+	$sql="SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+ 
+	$esiste=$res->rowCount();
 	//se esiste consultazione fa vedere i dati
 	if ($esiste>=1) {	
@@ -99,5 +107,5 @@
 		<select name=\"id_cons_gen\" class=\"moduloform\" onchange=\"javascript:top.location.href='modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen='+this.options[this.options.selectedIndex].value\">";
 	
-	    while(list($id,$descrizione) = mysql_fetch_row($res)) {
+	    while(list($id,$descrizione) = $res->fetch(PDO::FETCH_NUM)) {
 		
      		$sel = ($id == $id_cons_gen) ? "selected=\"selected\"":"";		
@@ -149,6 +157,9 @@
 		Scelta Dati
 		***********************************/
- 	$res = mysql_query("SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ", $dbi);
-	list($num_circ) = mysql_fetch_row($res);
+ 	$sql="SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($num_circ) = $res->fetch(PDO::FETCH_NUM);
        	 
         	echo "<td>";
@@ -188,6 +199,9 @@
 			}
       		}
-      		$resc = mysql_query("SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" , $dbi);
-      		list($chiusa)=mysql_fetch_row($resc); 
+      		$sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+	$resc = $dbi->prepare("$sql");
+	$resc->execute();
+
+      		list($chiusa)=$resc->fetch(PDO::FETCH_NUM); 
 		if ($hondt>=1 and $chiusa==1) {
 			echo "<option value=\"consiglieri\" ".$temp['consiglieri']." >"._CALCONS."</option>";
Index: trunk/client/modules/Elezioni/rss.php
===================================================================
--- trunk/client/modules/Elezioni/rss.php	(revision 264)
+++ trunk/client/modules/Elezioni/rss.php	(revision 265)
@@ -22,6 +22,9 @@
 $now = $now . $gmtstr;
 // comune
-$res = mysql_query("SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
-	list($descr_com) = mysql_fetch_row($res);
+$sql="SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+	list($descr_com) = $res->fetch(PDO::FETCH_NUM);
 
 
@@ -86,9 +89,15 @@
 	if ($genere==4){$tab="ele_voti_lista";}
 	if ($votog){$tab="ele_voti_lista";}
-	$res = mysql_query("select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ",$dbi);
-	
-	if ($res) $numero=mysql_num_rows($res);else $numero=0;
-	$res = mysql_query("select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1",$dbi);
-	if ($res) $sezioni=mysql_num_rows($res);else $sezioni=0;
+	$sql="select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	
+	if ($res) $numero=$res->rowCount();else $numero=0;
+	$sql="select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	if ($res) $sezioni=$res->rowCount();else $sezioni=0;
 	
 	if ($numero>0){
@@ -96,8 +105,10 @@
 		// tot voti
 			if (!$circo) 
-				$restotv = mysql_query("select sum(voti)  from ".$prefix."_$tab where id_cons=$id_cons ",  $dbi);
+				$sql="select sum(voti)  from ".$prefix."_$tab where id_cons=$id_cons ";
 			if ($votog) 
-				$restotv = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons=$id_cons ",  $dbi);	
-			list($tot)  = mysql_fetch_row($restotv);
+				$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons=$id_cons ";	
+			$restotv = $dbi->prepare("$sql");
+			$restotv->execute();
+			list($tot)  = $restotv->fetch(PDO::FETCH_NUM);
 			
 			$i=0;
@@ -107,5 +118,5 @@
 				if ($votog){
 				
-				$res = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+				$sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_gruppo as t1,
 				".$prefix."_ele_voti_lista as t2,
@@ -115,25 +126,34 @@
 				and t1.id_gruppo=t3.id_gruppo
 				group by t1.id_gruppo
-				order by somma desc", $dbi);$cosa='id_gruppo';
+				order by somma desc";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$cosa='id_gruppo';
 				
 				}else{
 				
 			
-			        $res = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+			        $sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_gruppo as t1
         			left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
 				group by t2.id_gruppo
-				order by somma desc", $dbi);$cosa='id_gruppo';
+				order by somma desc";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$cosa='id_gruppo';
 			       }
 			
 			
 			}else{
-				$res = mysql_query("select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
+				$sql="select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_lista as t1
         		left join ".$prefix."_$tab as t2 on (t1.id_lista=t2.id_lista)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons
 				group by t2.id_lista
-				order by somma desc", $dbi);$cosa='id_lista';
+				order by somma desc";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$cosa='id_lista';
 			}
 
@@ -142,5 +162,5 @@
 				$gruppinum=mysql_num_rows($res);
 				$altrivoti=0;
-				while (list($id,$num,$descrizione,$voti)  = mysql_fetch_row($res)){
+				while (list($id,$num,$descrizione,$voti)  = $res->fetch(PDO::FETCH_NUM)){
 
 				
Index: trunk/client/modules/Elezioni/votanti.php
===================================================================
--- trunk/client/modules/Elezioni/votanti.php	(revision 264)
+++ trunk/client/modules/Elezioni/votanti.php	(revision 265)
@@ -51,6 +51,9 @@
 
 //$id_cons_gen=$_GET['id_cons_gen'];
-$res = mysql_query("SELECT t1.tipo_cons,t3.genere,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($tipo_cons,$genere,$id_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t3.genere,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+list($tipo_cons,$genere,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 
 if (isset($param['ops'])) $ops=$param['ops']; else $ops='';
@@ -63,6 +66,9 @@
 if (!IsSet($num_ref)) { 
 		$num_ref=1;
-		$resg = mysql_query("SELECT id_gruppo from ".$prefix."_ele_gruppo where id_cons=$id_cons", $dbi);
-		$num_refs= mysql_num_rows($resg); //quante pagine?
+		$sql="SELECT id_gruppo from ".$prefix."_ele_gruppo where id_cons=$id_cons";
+		$resg = $dbi->prepare("$sql");
+		$resg->execute();
+
+		$num_refs= $resg->rowCount(); //quante pagine?
 	}
 
@@ -82,6 +88,9 @@
 	include_once("modules/Elezioni/funzioni.php");
 	
-	$res = mysql_query("SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
-	list($descr_com) = mysql_fetch_row($res);
+	$sql="SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($descr_com) = $res->fetch(PDO::FETCH_NUM);
         $descr_com =stripslashes($descr_com); 
 	$datipdf .= "<div style=\"margin:0px auto; text-align:center;\">";
@@ -191,6 +200,9 @@
     
     
-	$res = mysql_query("SELECT sum(maschi),sum(femmine) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'", $dbi);
-	list($totm,$totf) = mysql_fetch_row($res);
+	$sql="SELECT sum(maschi),sum(femmine) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($totm,$totf) = $res->fetch(PDO::FETCH_NUM);
 	$totel=$totm+$totf;
 	if (!IsSet($pag)) {$pag=0;} //inizializza il numero di pagina 
@@ -208,12 +220,21 @@
 	}
 	
-	$resg = mysql_query("SELECT id_gruppo,num_gruppo from ".$prefix."_ele_gruppo where id_cons=$id_cons and num_gruppo=$num_ref", $dbi);
-	list($idg,$numg) = mysql_fetch_row($resg);
-	$res = mysql_query("SELECT id_sez,num_sez,t1.id_sede as id_sede,t2.id_circ as id_circ FROM ".$prefix."_ele_sezioni as t1,".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede order by num_sez ", $dbi);
-	$max = mysql_num_rows($res); //quante sezioni?
-	$res = mysql_query("SELECT id_sez,num_sez,t1.id_sede as id_sede,t2.id_circ as id_circ FROM ".$prefix."_ele_sezioni as t1,".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede order by num_sez ", $dbi);
-	$num_sez = mysql_num_rows($res); //quante sezioni?
+	$sql="SELECT id_gruppo,num_gruppo from ".$prefix."_ele_gruppo where id_cons=$id_cons and num_gruppo=$num_ref";
+	$resg = $dbi->prepare("$sql");
+	$resg->execute();
+
+	list($idg,$numg) = $resg->fetch(PDO::FETCH_NUM);
+	$sql="SELECT id_sez,num_sez,t1.id_sede as id_sede,t2.id_circ as id_circ FROM ".$prefix."_ele_sezioni as t1,".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede order by num_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$max = $res->rowCount(); //quante sezioni?
+	$sql="SELECT id_sez,num_sez,t1.id_sede as id_sede,t2.id_circ as id_circ FROM ".$prefix."_ele_sezioni as t1,".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede order by num_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$num_sez = $res->rowCount(); //quante sezioni?
 	for ($i=1;$i<=$num_sez;$i++){
-		$sezione[$i]=mysql_fetch_array($res, 3); //inizializza l'array delle sezioni
+		$sezione[$i]=$res->fetch(PDO::FETCH_BOTH); //inizializza l'array delle sezioni
 		$ar[$i]=0;
 	}
@@ -260,10 +281,16 @@
 		$riga1  .="<h2>"._DETTAGLIO." "._VOTIE."</h2></div>";
 		
-		$des = mysql_query("select descrizione from ".$prefix."_ele_gruppo where id_gruppo='$idg'", $dbi);
-		list($descrizione)=mysql_fetch_array($des);
+		$sql="select descrizione from ".$prefix."_ele_gruppo where id_gruppo='$idg'";
+		$des = $dbi->prepare("$sql");
+		$des->execute();
+
+		list($descrizione)=$des->fetch(PDO::FETCH_BOTH);
 		$riga1 .="<h4>$descrizione</h4>";
 	}
-	$res = mysql_query("$tab ", $dbi);
-	$num_scr = mysql_num_rows($res);
+	$sql="$tab ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$num_scr = $res->rowCount();
 	//$riga2= "<div>"._SEZSCR." $num_scr su $num_sez</div>";//sezioni scrutinate
 
@@ -289,6 +316,9 @@
 	$riga3 .= "<td>"._VALIDI."</td><td>"._NULLI."</td><td>"._BIANCHI."</td><td>"._CONTESTATI."</td>"
     ."</tr>\n";
-	$res = mysql_query("$tab ", $dbi);
-	$num_scr = mysql_num_rows($res);
+	$sql="$tab ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	$num_scr = $res->rowCount();
 	$righe= "";
 	$scrutinate=1;
@@ -296,5 +326,5 @@
 	$tot_sololista=0;$tot_gruppo=0;
 	#$si e $no sono valide anche per voti lista e solo gruppo per i non referendum
-	while (list($id_gruppo,$id,$num,$si,$no,$sololista,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo,$votinulli) = mysql_fetch_row($res)){
+	while (list($id_gruppo,$id,$num,$si,$no,$sololista,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo,$votinulli) = $res->fetch(PDO::FETCH_NUM)){
 	$nulli+=$votinulli;
 	// inserimento numeri di sez non scrutinate
@@ -306,6 +336,9 @@
 	# voti sindaco, gruppo o presidente
 	$tab5="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id'";
-	$res3 = mysql_query("$tab5", $dbi);
-	list($sindaco) = mysql_fetch_row($res3);	
+	$sql="$tab5";
+	$res3 = $dbi->prepare("$sql");
+	$res3->execute();
+
+	list($sindaco) = $res3->fetch(PDO::FETCH_NUM);	
 	
 
@@ -314,6 +347,9 @@
 		$tab2="SELECT max(voti_donne),max(voti_uomini),max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id'";
 		if ($genere==0) $tab2 .= " and id_gruppo=$id_gruppo";
-		$res2 = mysql_query($tab2, $dbi);
-		list($votid,$votiu,$voti) = mysql_fetch_row($res2);
+		$sql=$tab2;
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
+
+		list($votid,$votiu,$voti) = $res2->fetch(PDO::FETCH_NUM);
 //		$voti=$votiu+$votid;
 		$tot_gruppo+=$sindaco;
